<?php

namespace RawTypeOE\Vendor\PhpOffice\PhpSpreadsheet\Writer;

use RawTypeOE\Vendor\ZipStream\Option\Archive;
use RawTypeOE\Vendor\ZipStream\ZipStream;

class ZipStream2
{
    /**
     * @param resource $fileHandle
     */
    public static function newZipStream($fileHandle): \RawTypeOE\Vendor\ZipStream\ZipStream
    {
        $options = new Archive();
        $options->setEnableZip64(false);
        $options->setOutputStream($fileHandle);

        return new ZipStream(null, $options);
    }
}
